Subject: bug#20782: 25.0.50; Emacs crashes when creating a file with emacs-template package w/o interactive call

From: [email-masked] (Vincent Belaïche)
Date: Wed, 10 Jun 2015 19:09:50 +0200

For the time being I have not yet found a simple recipe to reproduce the
bug, but I can reproduce it.

For starting Emacs from gdb could you please remind me the command line,
assuming that /Somewhere/trunk is the directory under which I have all
the Emacs build tree from bazaar (please note that my latest build was
with Bazaar, I don't know whether you have moved to Git yet).

  Vincent.

Le 10/06/2015 17:04, Eli Zaretskii a écrit :
>> From: [email-masked] (Vincent Belaïche)
>> Date: Wed, 10 Jun 2015 14:55:00 +0200
>> Cc: Vincent Belaïche <[email-masked]>
>>
>> I am using a fairly recent version of Emacs, but not the latest one. I
>> was developping some macro in order to create a file from the row of a
>> SES table based on some template. To that purpose I was using the
>> emacs-template pacakge. Attached is a backtrace. It seems that the bug
>> is reproducible for me, I have not yet tried with the -Q option.
>
> If you can reproduce the crash, please start Emacs from GDB to begin
> with.  That's because the backtrace you sent shows that the top-level
> exception handler was called, which means the real locus of the
> problem is not shown in the backtrace.  When Emacs is started from the
> debugger, the debugger gets control before the top-level exception
> handler, so you should be able to produce a much more informative
> backtrace.
>
> Please also show a recipe for reproducing the problem.
>
> Thanks.

---
Ce courrier électronique ne contient aucun virus ou logiciel malveillant parce que la protection avast! Antivirus est active.
https://www.avast.com/antivirus